﻿:root {
    --main-color: #76bc21;
    --max-width: 95em;
}
.field-validation-error{
    color: red;
}
@font-face {
    font-family: Noto;
    src: url(../Fonts/NotoSansJP-Regular.otf);
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Noto;
}
a {
    text-decoration: none;
}
    a:hover {
        text-decoration: none;
    }
/*html {
    height: 100%;
}*/
html, body {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    /*justify-content: center;*/
    align-items: center;
}
.header-helper-wrapper {
    width: 100%;
    height: 3.2em;
    display: flex;
    justify-content: center;
    background-color: #f7f7f7;
}
.header-helper {
    width: var(--max-width);
    display: flex;
    justify-content: flex-end;
    align-items: center;
    /*max-width: var(--max-width);*/
    
}
.main-content {
    width: 100%;
}
header {
    width: 100%;
    max-width: var(--max-width);
    margin: 0 auto;
    margin-top: 1em; 
    margin-bottom: 1em; 
}
.content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: var(--max-width);
}

.text-area-edit {
    width: 100%;
    height: 5em;
    resize: none;
}

.logo-image {
    width: 5em;
}

.categories-button {
    display: flex;
    justify-content: space-around;
    align-items: center;
    letter-spacing: normal;
    line-height: 18px;
    font-size: 18px;
    color: white;
    width: 9.8em;
    height: 3.1em;
    background-color: var(--main-color);
    border-radius: 0.5em;
}
.content-without-footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1 1 auto;
}

.navigation-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
}
.left-nav-wrapper {
    width: 18em;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.right-nav-wrapper {
    width: 20em;
}
.nav-information {
    display: flex;
    align-items: flex-start;
    justify-content: space-around;
}

.nav-element a{
    display: flex;
    font-size: 1em;
    flex-direction: column;
    align-items: center;
    color: black;
}
.nav-element a:hover{
    color: var(--main-color);
}

.input-in-form {
    border: none;
    outline: none;
}

.center-nav-wrapper {
    width: 40%;
}

.nav-search form {
    border-radius: 0.5em;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 3.1em;
    align-items: center;
    width: 100%;
    border: 0.5px solid #999999;
    padding-left: 1em;
    padding-right: 1em;
}
.nav-search form input {
    width: 100%;
}

.login-panel {
    display: flex;
    width: 40em;
    justify-content: space-around;
    align-items: center;
    list-style-type: none;
    margin: 0;
}

.svg-size {
    width: 1.3em;
    height: 1.3em;
}

    .login-panel li {
        display: flex;
        align-items: center;
        justify-content: space-around;
        text-align: center;
        background-color: var(--main-color);
        width: 6em;
        height: 2em;
        border-radius: 0.15em;
    }
        .login-panel li a {
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-around;
            color: white;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
        }
    .login-panel li a:hover {
        cursor: pointer;
        color: blue;
    }
.login-panel-notlogin {
    width: 15em !important;
}
.user-profile-button {
    overflow: hidden;
    width: 10em !important;
    background-color: gold !important;
    border: 0.1em solid red;
    overflow: hidden;
}

    .user-profile-button a {
        display: block !important;
        color: black !important;
    }
.user-profile-button:hover a {
    color: blue !important;
}

.user-logout-button {
    background-color: red !important;
}

footer {
    padding-top: 2em;
    text-align: center;
    color: black;
    width: 100%;
    height: 16em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #f5f5f6;
}

.main-footer {
    width: 100%;
    max-width: var(--max-width);
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    flex-wrap: wrap;
    margin: 0 auto;
}

.copyright {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #eaeaea;
    height: 3em;
}

    .copyright p {
        margin: 0;
    }

.footer-left-element, .footer-center-element, .footer-right-element {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.contacts {
    display: flex;
    justify-content: space-between;
    width: 10em;
}

.numbers {
    font-size: 1.5em;
}

.bold-p, .copyright {
    font-weight: bolder;
}